Debian Bug report logs - #538926
add-sources.py: Please add Architecture field

version graph

Package: edos-distcheck; Maintainer for edos-distcheck is Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>; Source for edos-distcheck is src:pkglab.

Reported by: Joachim Breitner <nomeata@debian.org>

Date: Tue, 28 Jul 2009 00:00:02 UTC

Severity: normal

Found in version pkglab/1.4.2-4

Fixed in version pkglab/1.4.2-5

Done: Ralf Treinen <treinen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>:
Bug#538926; Package edos-distcheck. (Tue, 28 Jul 2009 00:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
New Bug report received and forwarded. Copy sent to Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>. (Tue, 28 Jul 2009 00:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: add-sources.py: Please add Architecture field
Date: Tue, 28 Jul 2009 01:57:12 +0200
Package: edos-distcheck
Version: 1.4.2-4
Severity: normal
File: /usr/share/edos-distcheck/add-sources.py

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

in add-sources.py, currently no Architecture field is created for the
source package, causing warnings like:

Warning: package source---src-a doesn't have an architecture, using 'any'
Warning: package source---src-b doesn't have an architecture, using 'any'


Please make sure that source packages have the field. You can probably
just always fill it with the "current" architecture, or with "all".

Greetings,
Joachim

- -- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages edos-distcheck depends on:
ii  libbz2-1.0             1.0.5-3           high-quality block-sorting file co
ii  libc6                  2.9-21            GNU C Library: Shared libraries
ii  libgdbm3               1.8.3-6           GNU dbm database routines (runtime
ii  libpcre3               7.8-2             Perl 5 Compatible Regular Expressi
ii  libpopt0               1.14-4            lib for parsing cmdline parameters
ii  librpm0                4.7.0-9           RPM shared library
ii  librpmio0              4.7.0-9           RPM IO shared library
ii  perl                   5.10.0-24         Larry Wall's Practical Extraction 
ii  python                 2.5.4-2           An interactive high-level object-o
ii  python-debian          0.1.14            Python modules to work with Debian
ii  zlib1g                 1:1.2.3.3.dfsg-14 compression library - runtime

edos-distcheck recommends no packages.

edos-distcheck suggests no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpuPtgACgkQ9ijrk0dDIGzzogCeJC5sCgr+qL0Wtbww2WNQ7ffd
U8UAnimEQIXnzC/oIUAwqakj71vNfa7o
=SVNl
-----END PGP SIGNATURE-----




Added tag(s) pending. Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Thu, 20 Aug 2009 22:00:04 GMT) Full text and rfc822 format available.

Reply sent to Ralf Treinen <treinen@debian.org>:
You have taken responsibility. (Fri, 21 Aug 2009 23:09:20 GMT) Full text and rfc822 format available.

Notification sent to Joachim Breitner <nomeata@debian.org>:
Bug acknowledged by developer. (Fri, 21 Aug 2009 23:09:20 GMT) Full text and rfc822 format available.

Message #12 received at 538926-close@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@debian.org>
To: 538926-close@bugs.debian.org
Subject: Bug#538926: fixed in pkglab 1.4.2-5
Date: Fri, 21 Aug 2009 22:35:44 +0000
Source: pkglab
Source-Version: 1.4.2-5

We believe that the bug you reported is fixed in the latest version of
pkglab, which is due to be installed in the Debian FTP archive:

edos-distcheck_1.4.2-5_amd64.deb
  to pool/main/p/pkglab/edos-distcheck_1.4.2-5_amd64.deb
pkglab_1.4.2-5.diff.gz
  to pool/main/p/pkglab/pkglab_1.4.2-5.diff.gz
pkglab_1.4.2-5.dsc
  to pool/main/p/pkglab/pkglab_1.4.2-5.dsc
pkglab_1.4.2-5_amd64.deb
  to pool/main/p/pkglab/pkglab_1.4.2-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 538926@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ralf Treinen <treinen@debian.org> (supplier of updated pkglab package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 21 Aug 2009 21:41:19 +0200
Source: pkglab
Binary: pkglab edos-distcheck
Architecture: source amd64
Version: 1.4.2-5
Distribution: unstable
Urgency: low
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Changed-By: Ralf Treinen <treinen@debian.org>
Description: 
 edos-distcheck - Checks whether dependencies of packages can be satisfied
 pkglab     - interactive environment to explore package repositories
Closes: 516587 538925 538926 539211
Changes: 
 pkglab (1.4.2-5) unstable; urgency=low
 .
   * Standards-version 3.8.3 (no change)
   * Enforce dependency on version >= 1.4.2 of dose2 (which implements
     correctly the Breaks field), say in edos-debcheck man page that
     Breaks is treated like Conflicts.
   * Do not use xml entities when printing version constraints unless
     xml mode has been required (closes: #539211).
   * Packages to be checked can now be listed in the form "src:p",
     which will be expanded to the list of all packages that stem
     from source package p (closes:  #516587).
   * Fix add-sources.py to separate binary and source file by blank line
     (closes: #538925).
   * Fix add-sources.py to always copy the Architecture field from the
     source stanza into the generated binary package stanza since the
     Architecture is mandatory for binary packages (closes: #538926).
   * Edos-builddebcheck calls edos-debcheck with the -quiet option.
   * Edos-builddebcheck: adapt the translation of the explanation to the
     new format of explanations.
Checksums-Sha1: 
 5589a8f4d4880bc849cac1b0a9a26fb37325b8c2 1423 pkglab_1.4.2-5.dsc
 a39c005b3e447e5e138e522918a1f62446d1778c 13525 pkglab_1.4.2-5.diff.gz
 04cee2268f2887909d87a231b28482fc13fab231 561076 pkglab_1.4.2-5_amd64.deb
 232017ca15ac39b618ced247a6f41d866ec730a7 463522 edos-distcheck_1.4.2-5_amd64.deb
Checksums-Sha256: 
 253d411f28ffe24957d7a6e3ce63002621172dd63d5a395b212f604ae3660be6 1423 pkglab_1.4.2-5.dsc
 ef0f374530e68c7385373754485bf1c139a79777eca5331db72c048ea3854a5f 13525 pkglab_1.4.2-5.diff.gz
 911333363bf82b747d2b1ceeee0b9251532308cf208b12e4a3481ad60f69acb5 561076 pkglab_1.4.2-5_amd64.deb
 c029b877acf30da14e23db55d03c597702a01621e196db64a4dfc14b6b36f220 463522 edos-distcheck_1.4.2-5_amd64.deb
Files: 
 97a039287f757e5eecd2851cd5cf09c6 1423 devel optional pkglab_1.4.2-5.dsc
 01356d38a1d47f8e9c9a559d259df4ea 13525 devel optional pkglab_1.4.2-5.diff.gz
 abf0464382d6c29bb8794ec0153a8721 561076 devel optional pkglab_1.4.2-5_amd64.deb
 cf885bcbb14dde47c17c4396f7a08323 463522 devel optional edos-distcheck_1.4.2-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKjv4ztzWmSeC6BMERAqXbAJ4m2m8DfKrX6k9ORWJZdX6oLtRRmQCg5Spr
lX0ODoNMBaxhOp/BkLmmvxA=
=bIJj
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 30 Sep 2009 07:48:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:09:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.